Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class AbstractRtfField

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.AbstractRtfField

All Implemented Interfaces:
  Element, RtfField

Direct Known Subclasses:
  GenericRtfField

Deprecated. Please move to the RtfWriter2 and associated classes.

    abstract class AbstractRtfField

extends Chunk
implements RtfField

This class implements an abstract RtfField. This class is based on the RtfWriter-package from Mark Hall. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2.

Since:
  Mon Aug 19 14:50:39 2002
Version:
  $Id: AbstractRtfField.java 2698 2007-04-19 12:03:08Z blowagie $
Author:
  Dirk Weigenand (Dirk.Weigenand@smb-tec.com)

Field Summary
`private static byte[]` | `fldAlt` Deprecated.
`private static byte[]` | `fldDirty` Deprecated.
`private static byte[]` | `fldEdit` Deprecated.
`private static byte[]` | `fldLock` Deprecated.
`private static byte[]` | `fldPriv` Deprecated.
`private boolean` | `rtfFieldIsAlt` Deprecated. Determines whether this RtfField shall refer to an end note.
`private boolean` | `rtfFieldIsDirty` Deprecated. Determines whether a formatting change has been made since the field was last updated.
`private boolean` | `rtfFieldIsLocked` Deprecated. Determines whether this RtfField is locked, i.e. it cannot be updated.
`private boolean` | `rtfFieldIsPrivate` Deprecated. Determines whether the field is in suitable form for display.
`private boolean` | `rtfFieldWasEdited` Deprecated. Determines whether text has been added, removed from thre field result since the field was last updated.

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`AbstractRtfField(String content, Font font)` Deprecated. public constructor

Method Summary
`String` | `content()` Deprecated. Use `getContent()` instead
`String` | `getContent()` Deprecated. empty implementation for Chunk.
`boolean` | `isAlt()` Deprecated. Determines whether this RtfField shall refer to an end note.
`boolean` | `isDirty()` Deprecated. Determines whether the field was changed since the field was last updated
`boolean` | `isLocked()` Deprecated. Determines whtether the field is locked, i.e. it cannot be updated.
`boolean` | `isPrivate()` Deprecated. Determines whether the field is in suitable form for display.
`void` | `setAlt(boolean rtfFieldIsAlt)` Deprecated. Determines whether this RtfField shall refer to an end note.
`void` | `setDirty(boolean rtfFieldIsDirty)` Deprecated. Set whether a formatting change has been made since the field was last updated
`void` | `setEdited(boolean rtfFieldWasEdited)` Deprecated. Set whether text has been added, removed from thre field result since the field was last updated.
`void` | `setLocked(boolean rtfFieldIsLocked)` Deprecated. Set whether the field can be updated.
`void` | `setPrivate(boolean rtfFieldIsPrivate)` Deprecated. Set whether the field is in suitable form for display.
`boolean` | `wasEdited()` Deprecated. Determines whether text has been added, removed from the field result since the field was last updated.
`void` | `write(RtfWriter writer, OutputStream out)` Deprecated. For Interface RtfField.
`protected void` | `writeRtfFieldBegin(OutputStream out)` Deprecated. Write the beginning of an RtfField to the OutputStream.
`protected void` | `writeRtfFieldEnd(OutputStream out)` Deprecated. Close the RtfField.
`abstract void` | `writeRtfFieldInitializationStuff(OutputStream out)` Deprecated. Abstract method for writing custom stuff to the Field Initialization Stuff part of an RtfField.
`protected void` | `writeRtfFieldInstBegin(OutputStream out)` Deprecated. Write RtfField Initialization Stuff to OutputStream.
`protected void` | `writeRtfFieldInstEnd(OutputStream out)` Deprecated. Write end of RtfField Initialization Stuff to OutputStream.
`protected void` | `writeRtfFieldModifiers(OutputStream out)` Deprecated. Write the modifiers defined for a RtfField to the OutputStream.
`protected void` | `writeRtfFieldResultBegin(OutputStream out)` Deprecated. Write beginning of RtfField Result to OutputStream.
`protected void` | `writeRtfFieldResultEnd(OutputStream out)` Deprecated. Write end of RtfField Result to OutputStream.
`abstract void` | `writeRtfFieldResultStuff(OutputStream out)` Deprecated. Abstract method for writing custom stuff to the Field Result part of an RtfField.

Methods inherited from class com.lowagie.text.Chunk
`addToArray, append, font, getAttributes, getChunks, getFont, getHorizontalScaling, getImage, getKeySet, getTextRise, getWidthPoint, hasAttributes, isEmpty, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fldDirty

    private static final byte[] fldDirty

  Deprecated.

### fldPriv

    private static final byte[] fldPriv

  Deprecated.

### fldLock

    private static final byte[] fldLock

  Deprecated.

### fldEdit

    private static final byte[] fldEdit

  Deprecated.

### fldAlt

    private static final byte[] fldAlt

  Deprecated.

### rtfFieldIsLocked

    private boolean rtfFieldIsLocked

  Deprecated.
  Determines whether this RtfField is locked, i.e. it cannot be updated. Defaults to `false`.

### rtfFieldIsDirty

    private boolean rtfFieldIsDirty

  Deprecated.
  Determines whether a formatting change has been made since the field was last updated. Defaults to `false`.

### rtfFieldWasEdited

    private boolean rtfFieldWasEdited

  Deprecated.
  Determines whether text has been added, removed from thre field result since the field was last updated. Defaults to `false`.

### rtfFieldIsPrivate

    private boolean rtfFieldIsPrivate

  Deprecated.
  Determines whether the field is in suitable form for display. Defaults to `false`.

### rtfFieldIsAlt

    private boolean rtfFieldIsAlt

  Deprecated.
  Determines whether this RtfField shall refer to an end note.

Constructor Detail

### AbstractRtfField

    public AbstractRtfField(String content,
                            Font font)

  Deprecated.
  public constructor

  Parameters:
    `content` - the content of the field
    `font` - the font of the field

Method Detail

### isLocked

    public final boolean isLocked()

  Deprecated.
  Determines whtether the field is locked, i.e. it cannot be updated.

  Returns:
    `true` iff the field cannot be updated, `false` otherwise.

### setLocked

    public final void setLocked(boolean rtfFieldIsLocked)

  Deprecated.
  Set whether the field can be updated.

  Parameters:
    `rtfFieldIsLocked` - `true` if the field cannot be updated, `false` otherwise.

### setDirty

    public final void setDirty(boolean rtfFieldIsDirty)

  Deprecated.
  Set whether a formatting change has been made since the field was last updated

  Parameters:
    `rtfFieldIsDirty` - `true` if the field was changed since the field was last updated, `false` otherwise.

### isDirty

    public final boolean isDirty()

  Deprecated.
  Determines whether the field was changed since the field was last updated

  Returns:
    `true` if the field was changed since the field was last updated, `false` otherwise.

### setEdited

    public final void setEdited(boolean rtfFieldWasEdited)

  Deprecated.
  Set whether text has been added, removed from thre field result since the field was last updated.

  Parameters:
    `rtfFieldWasEdited` - Determines whether text has been added, removed from the field result since the field was last updated (`true`, `false` otherwise..

### wasEdited

    public final boolean wasEdited()

  Deprecated.
  Determines whether text has been added, removed from the field result since the field was last updated.

  Returns:
    rtfFieldWasEdited `true` if text has been added, removed from the field result since the field was last updated, `false` otherwise.

### setPrivate

    public final void setPrivate(boolean rtfFieldIsPrivate)

  Deprecated.
  Set whether the field is in suitable form for display. I.e. it's not a field with a picture as field result

  Parameters:
    `rtfFieldIsPrivate` - Determines whether the field is in suitable form for display: `true` it can be displayed, `false` it cannot be displayed.

### isPrivate

    public final boolean isPrivate()

  Deprecated.
  Determines whether the field is in suitable form for display.

  Returns:
    whether the field is in suitable form for display: `true` yes, `false` no it cannot be displayed.

### writeRtfFieldInitializationStuff

    public abstract void writeRtfFieldInitializationStuff(OutputStream out)
                                                   throws IOException

  Deprecated.
  Abstract method for writing custom stuff to the Field Initialization Stuff part of an RtfField.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldResultStuff

    public abstract void writeRtfFieldResultStuff(OutputStream out)
                                           throws IOException

  Deprecated.
  Abstract method for writing custom stuff to the Field Result part of an RtfField.

  Parameters:
    `out` -
  Throws:
    `IOException`

### setAlt

    public final void setAlt(boolean rtfFieldIsAlt)

  Deprecated.
  Determines whether this RtfField shall refer to an end note.

  Parameters:
    `rtfFieldIsAlt` - `true` if this RtfField shall refer to an end note, `false` otherwise

### isAlt

    public final boolean isAlt()

  Deprecated.
  Determines whether this RtfField shall refer to an end note.

  Returns:
    `true` if this RtfField shall refer to an end note, `false` otherwise.

### content

    public final String content()

  Deprecated. Use `getContent()` instead

  empty implementation for Chunk.

  Overrides:
    `content` in class `Chunk`
  Returns:
    an empty string

### getContent

    public final String getContent()

  Deprecated.
  empty implementation for Chunk.

  Overrides:
    `getContent` in class `Chunk`
  Returns:
    an empty string

### write

    public void write(RtfWriter writer,
                      OutputStream out)
               throws IOException

  Deprecated.
  For Interface RtfField.

  Specified by:
    `write` in interface `RtfField`
  Parameters:
    `writer` -
    `out` -
  Throws:
    `IOException`

### writeRtfFieldBegin

    protected final void writeRtfFieldBegin(OutputStream out)
                                     throws IOException

  Deprecated.
  Write the beginning of an RtfField to the OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldModifiers

    protected final void writeRtfFieldModifiers(OutputStream out)
                                         throws IOException

  Deprecated.
  Write the modifiers defined for a RtfField to the OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldInstBegin

    protected final void writeRtfFieldInstBegin(OutputStream out)
                                         throws IOException

  Deprecated.
  Write RtfField Initialization Stuff to OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldInstEnd

    protected final void writeRtfFieldInstEnd(OutputStream out)
                                       throws IOException

  Deprecated.
  Write end of RtfField Initialization Stuff to OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldResultBegin

    protected final void writeRtfFieldResultBegin(OutputStream out)
                                           throws IOException

  Deprecated.
  Write beginning of RtfField Result to OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldResultEnd

    protected final void writeRtfFieldResultEnd(OutputStream out)
                                         throws IOException

  Deprecated.
  Write end of RtfField Result to OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldEnd

    protected final void writeRtfFieldEnd(OutputStream out)
                                   throws IOException

  Deprecated.
  Close the RtfField.

  Parameters:
    `out` -
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD